package uca.baptistearthur.geocaching.recyclerview

import android.util.Log
import android.view.View
import android.widget.Button
import androidx.navigation.NavController
import androidx.recyclerview.widget.RecyclerView.ViewHolder
import uca.baptistearthur.geocaching.R
import uca.baptistearthur.geocaching.model.RoadTripEntity


class RoadTripViewHolder(val cellule: View, val navController: NavController): ViewHolder(cellule) {

    var roadTripAccessButton: Button = cellule.findViewById(R.id.btnGetRoadTripsInfo)
    var clickedRoadTrip: RoadTripEntity? = null

    init{
        roadTripAccessButton.setOnClickListener{
            Log.d("RoadTripViewHolder", "RoadTripViewHolder clicked: ${clickedRoadTrip?.name}")
            navController.navigate(R.id.action_roadTripFragment_to_roadtripDetail)
        }
    }

}